﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Infragistics.Windows.DataPresenter;
using System.Data;

namespace DataGridDataRow
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public DataTable dt { get; set; }

        public MainWindow()
        {
            InitializeComponent();
            dt = GenerateData();
            xamDataGrid1.DataSource = dt.DefaultView;
        }

       

        private DataTable GenerateData()
        {
             
            DataTable parent = new DataTable("Parent");

            parent.Columns.Add("column1", typeof(int));
            parent.Columns.Add("column2", typeof(int));
            parent.Columns.Add("column3", typeof(int));
 
            Random r = new Random();
            for (int i = 1; i < 4; i++)
            {
                parent.Rows.Add(new object[] { i, 2, 3 });
            }

            return parent;
        }

   
    }



    public class BackGroundConverter : IValueConverter
    {
        public object Convert(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            if (value != null && (int)value == 3)
            {
                return Brushes.Red;
            }
            else if (value != null && (int)value == 2)
            {
                return Brushes.LemonChiffon;
            }
            else if (value != null && (int)value == 1)
            {
                return Brushes.YellowGreen;
            }
            else
                return value;
        }

        public object ConvertBack(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            throw new NotImplementedException();
        }
    }

}
